# TdApi.SendInlineQueryResultMessage (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: SendInlineQueryResultMessage

Package it.tdlight.jni

# Class TdApi.SendInlineQueryResultMessage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.SendInlineQueryResultMessage

Enclosing class:
  TdApi

    public static class TdApi.SendInlineQueryResultMessage
    extends TdApi.Function

Sends the result of an inline query as a message. Returns the sent message. Always clears a chat draft message.

Returns `Message`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | Target chat.
`static int` | `CONSTRUCTOR` |
`boolean` | `hideViaBot` | If true, there will be no mention of a bot, via which the message is sent.
`long` | `messageThreadId` | If not 0, a message thread identifier in which the message will be sent.
`TdApi.MessageSendOptions` | `options` | Options to be used to send the message; pass null to use default options.
`long` | `queryId` | Identifier of the inline query.
`long` | `replyToMessageId` | Identifier of a message to reply to or 0.
`String` | `resultId` | Identifier of the inline result.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SendInlineQueryResultMessage()` | Sends the result of an inline query as a message.
`SendInlineQueryResultMessage​(long chatId, long messageThreadId, long replyToMessageId, TdApi.MessageSendOptions options, long queryId, String resultId, boolean hideViaBot)` | Sends the result of an inline query as a message.
`SendInlineQueryResultMessage​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Target chat.

### messageThreadId

public long messageThreadId
If not 0, a message thread identifier in which the message will be sent.

### replyToMessageId

public long replyToMessageId
Identifier of a message to reply to or 0.

### options

public TdApi.MessageSendOptions options
Options to be used to send the message; pass null to use default options.

### queryId

public long queryId
Identifier of the inline query.

### resultId

public String resultId
Identifier of the inline result.

### hideViaBot

public boolean hideViaBot
If true, there will be no mention of a bot, via which the message is sent. Can be used only for bots GetOption("animation_search_bot_username"), GetOption("photo_search_bot_username") and GetOption("venue_search_bot_username").

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### SendInlineQueryResultMessage

public SendInlineQueryResultMessage()
Sends the result of an inline query as a message. Returns the sent message. Always clears a chat draft message.

Returns `Message`

### SendInlineQueryResultMessage

public SendInlineQueryResultMessage​(long chatId, long messageThreadId, long replyToMessageId, TdApi.MessageSendOptions options, long queryId, String resultId, boolean hideViaBot)
Sends the result of an inline query as a message. Returns the sent message. Always clears a chat draft message.

Returns `Message`

Parameters:
  `chatId` - long Target chat.
  `messageThreadId` - long If not 0, a message thread identifier in which the message will be sent.
  `replyToMessageId` - long Identifier of a message to reply to or 0.
  `options` - MessageSendOptions Options to be used to send the message; pass null to use default options.
  `queryId` - long Identifier of the inline query.
  `resultId` - String Identifier of the inline result.
  `hideViaBot` - boolean If true, there will be no mention of a bot, via which the message is sent. Can be used only for bots GetOption("animation_search_bot_username"), GetOption("photo_search_bot_username") and GetOption("venue_search_bot_username").

### SendInlineQueryResultMessage

public SendInlineQueryResultMessage​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`